package com.ruoyi.ss.vipLevel.service;

import com.ruoyi.ss.vipLevel.domain.VipLevelVO;

import java.util.List;

/**
 * @author wjh
 * 2024/12/9
 */
public interface VipLevelValidator {

    /**
     * 用户是否可见
     */
    boolean canView(VipLevelVO vo, Long userId);

    /**
     * 用户是否可操作
     */
    boolean canOpera(Long id, Long userId);

    /**
     * 用户是否可操作全部
     */
    boolean canOperaAll(List<Long> ids, Long userId);

    /**
     * 是否允许操作
     */
    boolean canOpera(VipLevelVO vo, Long userId);

    /**
     * 删除前校验
     */
    void beforeDel(List<Long> ids);
}
